Package org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

# Class DerivedCircuitBreakerOnMethodNoRedefinition

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnMethod
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.DerivedCircuitBreakerOnMethodNoRedefinition

All Implemented Interfaces:
  `CircuitBreakerLifecycleService`

@Dependent @Typed(DerivedCircuitBreakerOnMethodNoRedefinition.class) public class DerivedCircuitBreakerOnMethodNoRedefinition extends BaseCircuitBreakerOnMethod

## Constructor Summary

Constructors
Constructor
Description
`DerivedCircuitBreakerOnMethodNoRedefinition()`

## Method Summary

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnMethod

`instanceId, service`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DerivedCircuitBreakerOnMethodNoRedefinition

public DerivedCircuitBreakerOnMethodNoRedefinition()